Subject: Re: [RFC PATCH] Make the rebase edit mode really end up in an edit state

From: Junio C Hamano <[email-masked]>
Date: Thu, 15 Jan 2009 14:09:08 -0800

SZEDER Gábor <[email-masked]> writes:

> I think we might want do differentiate editing a commit (modifying
> either the commit message or the patch or both) or splitting a commit.
>
> The first is served well with the current 'edit' rebase command IMHO.
> I don't really see the point of the additional 'git reset --soft
> HEAD^'.
>
>  * If you want to edit the commit message only, then you are
>    better off with 'git commit --amend', because it preserves the
>    previous commit message.  But with 'git reset --soft HEAD^' and
>    'git commit' the commit message is "lost"; you have to use 'git
>    commit -c ORIG_HEAD' instead, which is not that straightforward
>    (and we don't have completion support for it).

I agree that is a true disadvantage that shows "reset --soft HEAD^" is a
bad idea (you could still say commit -c @{1}, though).

> For the second we could introduce a new rebase command like 'split',
> which would do the same as 'edit' but would also perform that 'git
> reset HEAD^' mentioned in the documentation automatically.

Perhaps.